# Uses of Interface
org.springframework.web.servlet.view.script.ScriptTemplateConfig

Packages that use ScriptTemplateConfig
Package
Description
org.springframework.web.servlet.view.script
Support classes for views based on the JSR-223 script engine abstraction.

## Uses of ScriptTemplateConfig in org.springframework.web.servlet.view.script

Classes in org.springframework.web.servlet.view.script that implement ScriptTemplateConfig
Modifier and Type
Class
Description
`class`
`ScriptTemplateConfigurer`
An implementation of Spring MVC's `ScriptTemplateConfig` for creating a `ScriptEngine` for use in a web application.
Methods in org.springframework.web.servlet.view.script that return ScriptTemplateConfig
Modifier and Type
Method
Description
`protected ScriptTemplateConfig`
ScriptTemplateView.`autodetectViewConfig()`